Skip to content

getOpenSalesInvoicesForCustomer

READ

Get open sales invoices for customer.

POST /api/v1/invoicing/getOpenSalesInvoicesForCustomer
curl -X POST '<your-host>/api/v1/invoicing/getOpenSalesInvoicesForCustomer' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "currencyCode": "string",
      "balance": 0,
      "remainingDocument": 0,
      "status": "string",
      "exchangeRate": 0,
      "paymentTermId": "string",
      "totalAmount": 0,
      "dateDue": "string",
      "dateIssued": "string",
      "invoiceId": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerId": {
      "type": "string"
    },
    "currencyCode": {
      "type": "string"
    }
  },
  "required": [
    "customerId"
  ]
}